XTRIANGLES(6)

NAME
xtriangles - Triangles X widget

SYNOPSIS
/usr/games/xtriangles [-geometry [{width}][x{height}][{+-}{xoff}[{+-}{yoff}]]] [-display [{host}]:[{vs}]] [-[no]mono] [-[no]{reverse|rv}] [-{foreground|fg} {color}] [-{background|bg} {color}] [-tile {color}] [-text {color}] [-frame {color}] [-[no]stippleFrame] [-delay msecs] [-[no]sound] [-bumpSound {filename}] [-{font|fn} {fontname}] [-size{X|Y} {int}] [-[no]corners] [-base {int}] [-userName {string}] [-scoreFile {filename}] [-scores] [-version]

DESCRIPTION
A sliding tile puzzle. A triangular version of the 15 puzzle which was originally made around 1879 (the 14-15 puzzle of Sam Loyd was made soon after). T. R. Dawson in Original Puzzles has a similar puzzle with 4 diamond- and 6 triangular-shaped pieces. This puzzle is easier to solve than 15 puzzle with corner mode on and probably about the same with corner mode off.

FEATURES

If corners mode on: click "mouse-left" button to move a tile. Notice that one can move more than one tile at a time by clicking on the tile farthest from the spaces and in line with the spaces. Clicks on the spaces or clicks on tiles that are not in line with the spaces, will not move tiles.
If corners mode off: click "mouse-left" button to move a tile. One can only move one tile at a time. The only tiles that can be moved are the tiles next to the space. Clicks on the space, or clicks on tiles that are not in line with the space, will not move tiles.

Click "mouse-right" button, or press "C" or "c" keys, to clear the puzzle.

Press "G" or "g" keys to read (get) a saved puzzle.

Press "W" or "w" keys to save (write) a puzzle.

Press "U" or "u" keys to undo a move.

Press "R" or "r" keys to redo a move.

Press "Z" or "z" keys to randomize the puzzle. New records can only be set from a cleared state.

"S" or "s" keys reserved for the auto-solver (not implemented).

Press "M" or "m" keys to toggle corners mode. (Default is on).

Press ">" or "." keys to speed up the movement of tiles.

Press "<" or "," keys to slow down the movement of tiles.

Press "@" key to toggle the sound.

Press "Esc" key to hide program.

Press "Q", "q", or "CTRL-C" keys to kill program.

Use the key pad or arrow keys to move without the mouse.
Key pad is defined for Triangles as:
7 8 9 Upper Left, Up (no corners), Upper Right

  ^

4< >6 Left, Right

  v

1 2 3 Lower Left, Down (no corners), Lower Right

The control key allows you to change the complexity of xtriangles. Hold down control key and use the keypad or arrow keys to reduce or enlarge puzzle complexity.

The title is in the following format (non-motif version):
    xtriangles: <size> @ (<Number of moves>/{<Record number of moves> <user name>|"NEVER noaccess"}) - <Comment>
If there is no record of the current puzzle, it displays "NEVER noaccess".

OPTIONS

-geometry {+|-}X{+|-}Y
    This option sets the initial position of the triangles window (resource name "geometry").

-display host:dpy
    This option specifies the X server to contact.

-[no]mono
    This option allows you to display the triangles window on a color screen as if it were monochrome (resource name "mono").

-[no]{reverse|rv}
    This option allows you to see the triangles window in reverse video (resource name "reverseVideo").

-{foreground|fg} color
    This option specifies the foreground of the triangles window (resource name "foreground").

-{background|bg} color
    This option specifies the background of the triangles window (resource name "background").

-tile color
    This option specifies the tile color of the tiles in the triangles window (resource name "tileColor").

-text color
    This option specifies the text color of the tiles in the triangles window (resource name "textColor").

-frame color
    This option specifies the color of the frame (resource name "frameColor").

-[no]stippleFrame
    This option allows you to toggle the frame stippling (resource name "stippleFrame").

-delay msecs
    This option specifies the number of milliseconds it takes to move a tile or a group of tiles one space (1-50) (resource name "delay").

-[no]sound
    This option specifies if a sliding tile should make a sound or not (resource name "sound").

-bumpSound filename
    This option specifies the file for the bump sound for the sliding the tiles (resource name "bumpSound").

-{font|fn} ontname
    This option specifies the font that will be used (resource name "font").

-size{X|Y} <int>
    This option allows you to change the number of triangles in a row or column (resource names "sizeX", "sizeY").

-corners
    This option specifies the mode where movement is very restrictive (resource name "corners").

-nocorners
    This option specifies the mode where movement is very easy (resource name
     "corners").

-base int
    This option specifies the base used (default is base 10) (resource name "base").

-userName string
    This option specifies the user name for any records made or else it will get your login name (resource name "userName").

-scoreFile filename
    Specify an alternative score file (resource name "scoreFile").

-scores
    This option lists all the recorded scores and then exits.

-version
    This option tells you what version of xtriangles you have.

RECORDS
You must randomize or clear the puzzle before a record is set, otherwise an assumption of cheating is made if it is solved after a get.

SAVE FORMAT
Here is the format for the xtriangles configuration, starting position, and the movement of its pieces.

    corners: 0-1 <0 false, 1 true; if 0 then triangle corners are all snipped>
    sizeX: 1-10 <number of top tiles in a row with the same orientation as the puzzle>
    sizeY: 1-10 <number of rows of tiles>
    moves: 0-MAXINT <total number of moves>

    startingPosition: <array of tile positions where 0 is the empty space for the UP triangle and -1 is the empty space for the DOWN triangle>

This is then followed by the moves, starting from 1.
    move #: <direction>
Direction is represented as 0 upper right, 1 right, 2 lower right, 3 lower left, 4 left, and 5 upper left.

REFERENCES
L. E. Horden, Sliding Piece Puzzles (Recreations in Mathematics Series), Oxford University Press 1986, pp 1, 148, 149.

Jerry Slocum & Jack Botermans, Puzzles Old & New (How to Make and Solve Them), University of Washington Press, Seattle, 1987, pp 126, 127.

SEE ALSO

X(1), xcubes(6), xhexagons(6), xmlink(6), xbarrel(6), xpanex(6), xmball(6), xpyraminx(6), xoct(6), xrubik(6), xskewb(6), xdino(6), xbevel(6), xabacus(6)

COPYRIGHTS

® Copyright 1994-2024, David A. Bagley

BUG REPORTS AND PROGRAM UPDATES

Send bugs (or their reports, or fixes) to the author:
    David A. Bagley, <bagleyd AT verizon.net>

The latest version is currently at:
    https://www.sillycycle.com/puzzles.html
    http://www.ibiblio.org/pub/Linux/games/strategy/